
TYPO3.Fluid - Feature # 55723

Status: Closed Priority: Should have
Author: Carsten Bleicker Category:
Created: 2014-02-06 Assigned To: Bastian Waidelich
Updated: 2014-02-06 Due date:
Has patch: No
Subject: Support of schema.org attributes
Description

\TYPO3\Fluid\Core\ViewHelper\AbstractTagBasedViewHelper::registerUniversalTagAttributes should support schema.org
microformat properties as much as possible.

f.e. itemprop="image"

Related issues:
related to TYPO3.Fluid - Task # 37558: Form.Textfield ViewHelper's placeholde... Resolved 2012-05-29
related to TYPO3.Fluid - Bug # 48121: TextareaViewHelper is missing valid htm... Resolved 2013-05-12

History
#1 - 2014-02-06 12:19 - Bastian Waidelich

Just in case you don't know: You can use the additionalAttributes argument (that is available in all TagBasedViewHelpers) to set arbitrary attributes:

1<f:some.tag additionalAttributes="{itemprop: 'image'}" />

#2 - 2014-02-06 12:40 - Carsten Bleicker

Thank you!!!
Close this :)

#3 - 2014-02-06 12:42 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

Carsten Bleicker wrote:

Close this :)

Ey, sir ;)
